Subject: [PATCH RESEND v5 1/2] PWM: PXA: add device tree support to PWM driver

From: [email-masked] (Mike Dunn)
Date: Wed, 04 Dec 2013 10:21:55 -0800

On 12/04/2013 01:21 AM, Thierry Reding wrote:
> On Tue, Dec 03, 2013 at 10:45:29AM -0800, Mike Dunn wrote:
>> On 12/03/2013 02:17 AM, Thierry Reding wrote:
>>> On Sat, Sep 21, 2013 at 12:19:33PM -0700, Mike Dunn wrote:
>>>> This patch adds device tree support to the PXA's PWM driver.  Nothing
>>>> needs to be extracted from the device tree node by the PWM device.
>>>> Client devices need only specify the period; the per-chip index is
>>>> implicitly zero because one device node must be present for each PWM
>>>> output in use.  This approach is more convenient due to the wide
>>>> variability in the number of PWM channels present across the various PXA
>>>> variants, and is made possible by the fact that the register sets for
>>>> each PWM channel are segregated from each other.  An of_xlate() method
>>>> is added to parse this single-cell node.  The existing ID table is
>>>> reused for the match table data.
>>>>
>>>> Tested on a Palm Treo 680 (both platform data and DT cases).
>>>>
>>>> Signed-off-by: Mike Dunn <[email-masked]>
>>>> ---
>>>>  Documentation/devicetree/bindings/pwm/pxa-pwm.txt | 30 +++++++++++++
>>>>  drivers/pwm/pwm-pxa.c                             | 52 ++++++++++++++++++++++-
>>>>  2 files changed, 81 insertions(+), 1 deletion(-)
>>>>  create mode 100644 Documentation/devicetree/bindings/pwm/pxa-pwm.txt
>>>
>>> Hi Mike,
>>>
>>> It looks like this fell through the cracks. Is this patch still the
>>> latest one you have? Should it still be applied?
>>>
>>> Thierry
>>>
>>
>> Hi Thierry,
>>
>> Funny I should hear from you about this today.... I just turned my attention
>> back to this today and noticed that it never made it into your for-next branch.
>>  Yes, it is the latest.  If the patch still applies cleanly, please feel free.
>> Otherwise, I'd be glad to rework it against something more recent.
> 
> I've applied it to my for-next branch (with some minor whitespace fixups
> and some tuning to how the OF match table is defined). I don't consider
> any of the changes risky, but it'd be great if you could still test the
> version that I pushed.

I just tested it... looks good.  Thanks again Thierry.  Thanks also Haojian.

Mike